﻿:root {
    --backgroundColor: white;
    --themeColor: #004a7f;
    --altThemeColor: black;
    --brightThemeColor: #4682b4;
    --textColor: white;
    --activeColor: #ffc300;
    --altTextColor: #505050;
    --altButtonColor: #00000050;
}

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
}

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}

body {
    line-height: 1;
    margin-top: 0;
    -moz-transition: margin-top 0.5s ease;
    -o-transition: margin-top 0.5s ease;
    -webkit-transition: margin-top 0.5s ease;
    transition: margin-top 0.5s ease;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

    blockquote:before, blockquote:after,
    q:before, q:after {
        content: '';
        content: none;
    }

table {
    border-collapse: collapse;
    border-spacing: 0;
}

html, body {
    height: 100%;
    background-color: var(--themeColor);
}

.socialButtons {
    position: absolute;
    bottom: 44px;
    right: 45px;
    display: flex;
    justify-content: right;
}

    .socialButtons .icon {
        width: 40px;
        height: 40px;
        margin-left: 10px;
        opacity: 1;
    }

    .socialButtons img {
        width: 100%;
        height: 100%;
        border: 2px solid;
        background-color: var(--altButtonColor);
        opacity: 90%;
        border-color: var(--backgroundColor);
        -moz-border-radius: 50%;
        -webkit-border-radius: 50%;
        border-radius: 50%;
        -moz-transition: all 1s;
        -o-transition: all 1s;
        -webkit-transition: all 1s;
        transition: all 1s;
    }

        .socialButtons img:hover {
            border: 2px solid;
            background-color: var(--themeColor);
            border-color: var(--backgroundColor);
            -moz-transition: all 0.3s;
            -o-transition: all 0.3s;
            -webkit-transition: all 0.3s;
            transition: all 0.3s;
        }

hr {
    height: 3px;
    border: none;
    background: rgb(0,74,127);
    background: linear-gradient(90deg, var(--themeColor) 0%, rgba(0,212,255,0) 70%);
}

@font-face {
    font-family: "D-DIN-Bold";
    src: url(/Content/Fonts/D-DIN-Bold.ttf) format("truetype");
    font-display: swap;
}

@font-face {
    font-family: "D-DIN";
    src: url(/Content/Fonts/D-DIN.ttf) format("truetype");
    font-display: swap;
}

a {
    font-family: "D-DIN-Bold", Verdana, Tahoma;
    font-weight: 600;
    font-style: normal;
    font-size: 22px;
    letter-spacing: 0em;
    line-height: 1em;
    text-transform: none;
}

footer a {
    font-family: "D-DIN", Verdana, Tahoma;
    font-weight: 900;
    font-style: normal;
    font-size: 20px;
    letter-spacing: 0em;
    line-height: 1em;
    text-transform: none;
    color: var(--textColor);
    -moz-transition: color 1s;
    -o-transition: color 1s;
    -webkit-transition: color 1s;
    transition: color 1s;
}

    footer a:hover {
        color: var(--activeColor);
        -moz-transition: color 0.3s;
        -o-transition: color 0.3s;
        -webkit-transition: color 0.3s;
        transition: color 0.3s;
    }

h1 {
    font-family: "D-DIN", Arial;
    font-weight: 600;
    font-style: normal;
    font-size: 30px;
    letter-spacing: 0em;
    line-height: 1em;
    text-transform: none;
}

h2 {
    font-family: "D-DIN", Arial;
    font-weight: 600;
    font-style: normal;
    font-size: 50px;
    letter-spacing: 0em;
    line-height: 1em;
    text-transform: none;
}

h3 {
    font-family: "D-DIN", Arial;
    font-weight: 900;
    font-style: normal;
    font-size: 35px;
    letter-spacing: 0em;
    line-height: 1em;
    text-transform: none;
}

h4 {
    font-family: "D-DIN", serif, Arial;
    font-weight: 600;
    font-style: normal;
    font-size: 30px;
    letter-spacing: 0em;
    line-height: 1em;
    text-transform: none;
}

span {
    font-family: "D-DIN", Arial;
    font-weight: 900;
    font-style: normal;
    font-size: 20px;
    letter-spacing: 0em;
    line-height: 1em;
    text-transform: none;
}

p {
    font-family: "D-DIN", Arial;
    font-weight: 900;
    font-style: normal;
    font-size: 20px;
    letter-spacing: 0em;
    line-height: 1em;
    text-transform: none;
}

@keyframes fadeIn {
    from {
        opacity: 1;
        visibility: visible;
    }

    to {
        opacity: 0;
    }
}

@-moz-keyframes fadeIn {
    from {
        opacity: 1;
        visibility: visible;
    }

    to {
        opacity: 0;
    }
}

@-webkit-keyframes fadeIn {
    from {
        opacity: 1;
        visibility: visible;
    }

    to {
        opacity: 0;
    }
}

@keyframes loader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

    .loadOverlay.loaded {
        visibility: hidden;
        -moz-animation: fadeIn 1s;
        -o-animation: fadeIn 1s;
        -webkit-animation: fadeIn 1s;
        animation: fadeIn 1s;
    }

    .loadOverlay .loader {
        background-image: url("/Content/Images/Loading.png");
        position: absolute;
        margin-top: -35px;
        margin-left: -35px;
        top: 50%;
        left: 50%;
        left: 50%;
        width: 70px;
        height: 70px;
        animation: loader 1s linear infinite;
    }

    .loadOverlay span {
        color: var(--themeColor);
        position: absolute;
        margin-top: -70px;
        margin-left: -100px;
        top: 50%;
        left: 50%;
    }

.loadPage {
    background-color: var(--backgroundColor);
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 950;
}

    .loadPage.loaded {
        visibility: hidden;
        -moz-animation: fadeIn 1s;
        -o-animation: fadeIn 1s;
        -webkit-animation: fadeIn 1s;
        animation: fadeIn 1s;
    }

.homeButton {
    position: fixed;
    width: 40px;
    height: 40px;
    bottom: 70px;
    left: 70px;
    opacity: 0;
    visibility: hidden;
    z-index: 100;
    -moz-transition: visibility 0s 0.5s, opacity 0.5s;
    -o-transition: visibility 0s 0.5s, opacity 0.5s;
    -webkit-transition: visibility 0s 0.5s, opacity 0.5s;
    transition: visibility 0s 0.5s, opacity 0.5s;
}

    .homeButton img {
        width: 100%;
        height: 100%;
    }

    .homeButton.activeButtonAnim:hover {
        opacity: 1;
        -moz-transition: opacity 0.3s;
        -o-transition: opacity 0.3s;
        -webkit-transition: opacity 0.3s;
        transition: opacity 0.3s;
    }

    .homeButton.activeButtonAnim {
        opacity: 0.3;
        visibility: visible;
        -moz-transition: opacity 0.5s;
        -o-transition: opacity 0.5s;
        -webkit-transition: opacity 0.5s;
        transition: opacity 0.5s;
    }

.upButton {
    position: fixed;
    width: 40px;
    height: 40px;
    bottom: 70px;
    right: 70px;
    opacity: 0;
    visibility: hidden;
    z-index: 100;
    -moz-transition: visibility 0s 0.5s, opacity 0.5s;
    -o-transition: visibility 0s 0.5s, opacity 0.5s;
    -webkit-transition: visibility 0s 0.5s, opacity 0.5s;
    transition: visibility 0s 0.5s, opacity 0.5s;
}

    .upButton img {
        width: 100%;
        height: 100%;
    }

    .upButton.activeButtonAnim:hover {
        opacity: 1;
        -moz-transition: opacity 0.3s;
        -o-transition: opacity 0.3s;
        -webkit-transition: opacity 0.3s;
        transition: opacity 0.3s;
    }

    .upButton.activeButtonAnim {
        opacity: 0.3;
        visibility: visible;
        -moz-transition: opacity 0.5s;
        -o-transition: opacity 0.5s;
        -webkit-transition: opacity 0.5s;
        transition: opacity 0.5s;
    }

.mobileMenuButton {
    position: absolute;
    width: 50px;
    height: 50px;
    margin-top: 0;
    top: 20px;
    right: 10px;
    float: right;
    display: none;
    z-index: 100;
    -moz-transition: margin-top 0.5s ease;
    -o-transition: margin-top 0.5s ease;
    -webkit-transition: margin-top 0.5s ease;
    transition: margin-top 0.5s ease;
}

    .mobileMenuButton.active {
        margin-top: 155px;
        -moz-transition: margin-top 1s ease;
        -o-transition: margin-top 1s ease;
        -webkit-transition: margin-top 1s ease;
        transition: margin-top 1s ease;
    }

    .mobileMenuButton .bar1, .bar2, .bar3 {
        width: 35px;
        height: 5px;
        background-color: var(--backgroundColor);
        margin: 6px 0;
        border-radius: 5px;
        -moz-transition: 0.5s 0.5s ease;
        -o-transition: 0.5s 0.5s ease;
        -webkit-transition: 0.5s 0.5s ease;
        transition: 0.5s 0.5s ease;
    }

    .mobileMenuButton.change .bar1 {
        -moz-transform: rotate(-45deg) translate(-9px, 6px);
        -ms-transform: rotate(-45deg) translate(-9px, 6px);
        -o-transform: rotate(-45deg) translate(-9px, 6px);
        -webkit-transform: rotate(-45deg) translate(-9px, 6px);
        transform: rotate(-45deg) translate(-9px, 6px);
    }

    .mobileMenuButton.change .bar2 {
        opacity: 0;
    }

    .mobileMenuButton.change .bar3 {
        -moz-transform: rotate(45deg) translate(-8px, -8px);
        -ms-transform: rotate(45deg) translate(-8px, -8px);
        -o-transform: rotate(45deg) translate(-8px, -8px);
        -webkit-transform: rotate(45deg) translate(-8px, -8px);
        transform: rotate(45deg) translate(-8px, -8px);
    }

body.active {
    margin-top: 155px;
    -moz-transition: margin-top 1s ease;
    -o-transition: margin-top 1s ease;
    -webkit-transition: margin-top 1s ease;
    transition: margin-top 1s ease;
}

#mobileNavigation {
    background-image: url("/Content/Images/Pattern.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: var(--themeColor);
    position: absolute;
    width: 100%;
    height: 145px;
    top: -250px;
    left: 0;
    z-index: 100;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

    #mobileNavigation.active {
        top: 0;
        -moz-box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.3);
        -webkit-box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.3);
        box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.3);
        -moz-transition: all 0.5s ease;
        -o-transition: all 0.5s ease;
        -webkit-transition: all 0.5s ease;
        transition: all 0.5s ease;
    }

    #mobileNavigation .navbar {
        position: relative;
        width: 100%;
        height: 100%;
        margin-top: 10px;
        float: none;
    }

        #mobileNavigation .navbar li {
            float: none;
        }

            #mobileNavigation .navbar li a {
                margin-right: 0;
                padding: 20px 0;
                font-size: 24px;
            }

#navigation {
    height: 130px;
    float: left;
    text-shadow: 0px 0px 5px var(--altThemeColor);
}

    #navigation .logo {
        position: absolute;
        width: 100px;
        height: 100px;
        margin-top: 25px;
        margin-left: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 100;
    }

        #navigation .logo img {
            position: absolute;
            width: 100%;
            height: 100%;
            -moz-transition: width 0.3s, height 0.3s ease;
            -o-transition: width 0.3s, height 0.3s ease;
            -webkit-transition: width 0.3s, height 0.3s ease;
            transition: width 0.3s, height 0.3s ease;
        }

            #navigation .logo img:hover {
                width: 110%;
                height: 110%;
                -moz-transition: width 0.2s, height 0.2s ease;
                -o-transition: width 0.2s, height 0.2s ease;
                -webkit-transition: width 0.2s, height 0.2s ease;
                transition: width 0.2s, height 0.2s ease;
            }

ul.navbar {
    position: absolute;
    list-style-type: none;
    float: right;
    right: 0;
    margin: 0;
    padding: 0;
    z-index: 100;
    font-size: 28px;
}

li {
    float: left;
}

    li a {
        display: block;
        color: var(--textColor);
        text-transform: uppercase;
        text-align: center;
        margin-right: 10px;
        padding: 30px 30px;
        -webkit-text-stroke-width: 1px;
        -webkit-text-stroke-color: black;
        font-size: 28px;
        -moz-transition: color 1s;
        -o-transition: color 1s;
        -webkit-transition: color 1s;
        transition: color 1s;
    }

        li a.active {
            color: var(--activeColor);
        }

        li a:hover {
            color: var(--activeColor);
            -moz-transition: color 0.2s;
            -o-transition: color 0.2s;
            -webkit-transition: color 0.2s;
            transition: color 0.2s;
        }

header {
    position: relative;
    width: 100%;
    height: 100%;
}

#activeNavigation {
    background-image: url("/Content/Images/Pattern.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: var(--themeColor);
    position: fixed;
    top: -80px;
    left: 0;
    width: 100%;
    height: 60px;
    -moz-transition: top 0.3s ease;
    -o-transition: top 0.3s ease;
    -webkit-transition: top 0.3s ease;
    transition: top 0.3s ease;
    z-index: 100;
    -moz-box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.3);
    box-shadow: 0px 10px 25px 0px rgba(0,0,0,0.3);
}

    #activeNavigation .logo {
        position: absolute;
        width: 50px;
        height: 50px;
        margin-top: 5px;
        margin-left: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    #activeNavigation .navbar {
        top: -10px;
    }

    #activeNavigation .navbar li a {
        font-size: 21px;
        -webkit-text-stroke-width: 0;
    }

    #activeNavigation .logo img {
        position: absolute;
        width: 100%;
        height: 100%;
        -moz-transition: width 0.2s, height 0.2s ease;
        -o-transition: width 0.2s, height 0.2s ease;
        -webkit-transition: width 0.2s, height 0.2s ease;
        transition: width 0.2s, height 0.2s ease;
    }

        #activeNavigation .logo img:hover {
            width: 110%;
            height: 110%;
            -moz-transition: width 0.2s, height 0.2s ease;
            -o-transition: width 0.2s, height 0.2s ease;
            -webkit-transition: width 0.2s, height 0.2s ease;
            transition: width 0.2s, height 0.2s ease;
        }

    #activeNavigation.activeNavAnim {
        top: 0 !important;
        -moz-transition: top 0.3s ease;
        -o-transition: top 0.3s ease;
        -webkit-transition: top 0.3s ease;
        transition: top 0.3s ease;
    }

.headingContainer {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.scrollButton {
    position: absolute;
    width: 100%;
    bottom: 40px;
    display: flex;
    justify-content: center;
}

    .scrollButton a span {
        line-height: 40px;
        margin-left: 20px;
        float: left;
        -moz-transition: margin-top 0.2s;
        -o-transition: margin-top 0.2s;
        -webkit-transition: margin-top 0.2s;
        transition: margin-top 0.2s;
    }

    .scrollButton a p {
        line-height: 40px;
        margin-left: 20px;
        float: left;
    }

    .scrollButton .button {
        border: 2px solid;
        border-color: var(--backgroundColor);
        background-color: var(--altButtonColor);
        width: 150px;
        height: 40px;
        line-height: 40px;
        color: var(--textColor);
        -webkit-border-bottom-right-radius: 15px;
        border-bottom-right-radius: 15px;
        -webkit-border-top-left-radius: 15px;
        border-top-left-radius: 15px;
        -moz-transition: all 0.5s;
        -o-transition: all 0.5s;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
    }

        .scrollButton .button:hover span {
            margin-top: 3px;
            -moz-transition: margin-top 0.3s;
            -o-transition: margin-top 0.3s;
            -webkit-transition: margin-top 0.3s;
            transition: margin-top 0.3s;
        }

        .scrollButton .button:hover {
            background-color: var(--backgroundColor);
            color: var(--themeColor);
            -moz-transition: all 0.3s;
            -o-transition: all 0.3s;
            -webkit-transition: all 0.3s;
            transition: all 0.3s;
        }

.playButton {
    position: absolute;
    width: 100%;
    bottom: 40px;
    display: flex;
    justify-content: center;
}

    .playButton a span {
        margin-left: 20px;
        margin-right: 0px;
        line-height: 40px;
        float: left;
        -moz-transition: margin-left 0.2s, margin-right 0.2s;
        -o-transition: margin-left 0.2s, margin-right 0.2s;
        -webkit-transition: margin-left 0.2s, margin-right 0.2s;
        transition: margin-left 0.2s, margin-right 0.2s;
    }

    .playButton a p {
        line-height: 40px;
        margin-left: 10px;
        float: left;
    }

    .playButton .button {
        border: 2px solid;
        border-color: var(--backgroundColor);
        background-color: var(--altButtonColor);
        width: 150px;
        height: 40px;
        line-height: 40px;
        color: var(--textColor);
        -webkit-border-bottom-right-radius: 15px;
        border-bottom-right-radius: 15px;
        -webkit-border-top-left-radius: 15px;
        border-top-left-radius: 15px;
        -moz-transition: all 0.5s;
        -o-transition: all 0.5s;
        -webkit-transition: all 0.5s;
        transition: all 0.5s;
    }

        .playButton .button:hover span {
            margin-left: 23px;
            margin-right: -3px;
            -moz-transition: margin-left 0.3s, margin-right 0.3s;
            -o-transition: margin-left 0.3s, margin-right 0.3s;
            -webkit-transition: margin-left 0.3s, margin-right 0.3s;
            transition: margin-left 0.3s, margin-right 0.3s;
        }

        .playButton .button:hover {
            background-color: var(--backgroundColor);
            color: var(--themeColor);
            -moz-transition: all 0.3s;
            -o-transition: all 0.3s;
            -webkit-transition: all 0.3s;
            transition: all 0.3s;
        }

footer {
    background-image: url("/Content/Images/Pattern.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: var(--themeColor);
    color: var(--textColor);
    width: 100%;
    height: 60px;
    line-height: 60px;
    display: flex;
    -moz-box-shadow: 0px -10px 25px 0px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0px -10px 25px 0px rgba(0,0,0,0.3);
    box-shadow: 0px -10px 25px 0px rgba(0,0,0,0.3);
}

    footer .contact {
        position: absolute;
        left: 30px;
        line-height: 60px;
    }

    footer .footerLogo {
        width: 55px;
        height: 55px;
        margin: auto;
        display: flex;
        justify-content: center;
        align-items: center;
    }

        footer .footerLogo img {
            position: absolute;
            width: 50px;
            height: 50px;
            -moz-transition: width 0.2s, height 0.2s ease;
            -o-transition: width 0.2s, height 0.2s ease;
            -webkit-transition: width 0.2s, height 0.2s ease;
            transition: width 0.2s, height 0.2s ease;
        }

            footer .footerLogo img:hover {
                width: 55px;
                height: 55px;
                -moz-transition: width 0.2s, height 0.2s ease;
                -o-transition: width 0.2s, height 0.2s ease;
                -webkit-transition: width 0.2s, height 0.2s ease;
                transition: width 0.2s, height 0.2s ease;
            }

    footer .info {
        position: absolute;
        right: 30px;
        line-height: 60px;
    }

@media only screen and (max-width : 700px) {
    .socialButtons {
        bottom: 22px;
        right: 20px;
    }

        .socialButtons img {
            opacity: 1;
        }

    hr {
        margin-left: 10px;
        width: 300px;
    }

    h1 {
        font-size: 22px;
    }

    h2 {
        font-size: 24px;
    }

    h3 {
        font-size: 25px;
    }

    h4 {
        font-size: 24px;
    }

    .mobileMenuButton {
        display: block !important;
    }

    #mobileNavigation {
        display: block !important;
    }

    #mobileNavigation .navbar li a {
        -webkit-text-stroke-width: 0;
    }

    #navigation .logo {
        margin-top: 20px;
        margin-left: 15px;
        width: 80px;
        height: 80px;
    }

    #activeNavigation {
        display: none !important;
    }

    .homeButton {
        display: none !important;
    }

    .upButton {
        display: none !important;
    }

    #navigation .navbar {
        display: none !important;
    }

    #activeNavigation .navbar {
        display: none !important;
    }

    .scrollButton {
        width: auto;
        bottom: 18px;
        left: 20px;
        justify-content: left;
    }

    .playButton {
        width: auto;
        bottom: 18px;
        left: 20px;
        justify-content: left;
    }

    footer .contact {
        left: 15px;
    }

    footer .info {
        right: 15px;
    }

    footer a {
        font-size: 18px;
    }

    span {
        font-size: 18px;
    }
}

@media only screen and (min-width : 700px) and (max-width : 1270px) {
    .socialButtons {
        bottom: 22px;
        right: 20px;
    }

        .socialButtons img {
            opacity: 1;
        }

    hr {
        margin-left: 20px;
        width: 500px;
    }

    h1 {
        font-size: 25px;
    }

    h2 {
        font-size: 35px;
    }

    h3 {
        font-size: 28px;
    }

    h4 {
        font-size: 28px;
    }

    .mobileMenuButton {
        display: block !important;
    }

    #mobileNavigation {
        display: block !important;
    }

    #mobileNavigation .navbar li a {
        -webkit-text-stroke-width: 0;
    }

    #navigation .logo {
        margin-top: 20px;
        margin-left: 15px;
        width: 90px;
        height: 90px;
    }

    #activeNavigation {
        display: none !important;
    }

    .homeButton {
        display: none !important;
    }

    .upButton {
        display: none !important;
    }

    #navigation .navbar {
        display: none !important;
    }

    #activeNavigation .navbar {
        display: none !important;
    }

    .scrollButton {
        width: auto;
        bottom: 18px;
        left: 20px;
        justify-content: left;
    }

    .playButton {
        width: auto;
        bottom: 18px;
        left: 20px;
        justify-content: left;
    }

    footer .contact {
        left: 20px;
    }

    footer .info {
        right: 20px;
    }

    footer a {
        font-size: 20px;
    }

    span {
        font-size: 20px;
    }
}
